I'm getting this error at the top

Started by agent47, 7 years ago

previous topic - next topic

0 Members and 1 Guest are viewing this topic.

agent47

*
7 years ago
I get the following error at the top of the page when I enter a board on my site:

Strict Standards: Only variables should be passed by reference in /xxx/xxx/public_html/Sources/PortaMx/PortaMxSEF.php on line 220

What does this mean and how do I overcome this?

Feline

*
#1
7 years ago
Seems like a defect file. Replace the file with a copy from the original archive.
Many are stubborn in relation to the way, but less in relation to the target.

agent47

*
#2
7 years ago
Not working feline. Still same error. Only when I disable SEF, does the error go away. I don't want to disable it though :(

Feline

*
#3
7 years ago
Try follow:
Open the file /Sources/PortaMx/PortaMxSEF.php in a editor (like notepad++), go to line 220 and find:
Code Select

$querystring['board'] = current(array_keys($PortaMxSEF['BoardNameList'], current($url_array))) .'.'. $page;


Replace this with:
Code Select

$brdkey = array_keys($PortaMxSEF['BoardNameList'], current($url_array));
$querystring['board'] = current($brdkey) .'.'. $page;
Many are stubborn in relation to the way, but less in relation to the target.

agent47

*
#4
7 years ago
Same error :(

Feline

*
#5
7 years ago
Please attach the modificated file here ...
php version you use?
Many are stubborn in relation to the way, but less in relation to the target.

agent47

*
#6
7 years ago
Here you go feline.
BTW I'm also facing another issue with the theme due to PortaMx but I'll open a separate thread for that. I hope at least one of the two issues can be fixed.

[attachment deleted by admin]

Feline

*
#7
7 years ago
Whitch php version you use?
Whats is the settings of error_reporting in your php.ini?
Many are stubborn in relation to the way, but less in relation to the target.

agent47

*
#8
7 years ago
I'm not too sure how to check which PHP version I'm using?
And neither do I understand your second question? Sorry, I'm really bad at this.

Feline

*
#9
7 years ago
Quote from: agent47, 7 years ago
I'm not too sure how to check which PHP version I'm using?
And neither do I understand your second question? Sorry, I'm really bad at this.

Put the attached file to you forum homedir and run it in your browser...

[attachment deleted by admin]
Many are stubborn in relation to the way, but less in relation to the target.

agent47

*
#10
7 years ago
Okay so there's a lot of info. You can check it out yourself as I have left the file on the server.
Visit:
Code Select
http://www.superheroalliance.net/phpinfo.php

Feline

*
#11
7 years ago
If you can't modify your php.ini, contact your hosting to set the php.ini variable display_errors to off
Many are stubborn in relation to the way, but less in relation to the target.

agent47

*
#12
7 years ago
So you want me to contact my host and tell them to set the php.ini variable display_errors to off ?
Okay, once my host turns that off, then what do I do?

Feline

*
#13
7 years ago
Check again if the error occurs ...
Many are stubborn in relation to the way, but less in relation to the target.

star44

*
#14
7 years ago
I'm also facing another issue with the theme.

* Shouts

Feline
6 months ago
Today we update our Forum to the Version 1.45
Feline
9 months ago
Today we update our Forum to Version 1.4
This release is full compatible with the EU GDPR
Feline
11 months ago
Update for PortaMx 1.54 ecl released.
With this updates the Portal works with PHP 7.x and SMF 2.0.15
Feline
a year ago
PortaMx Forum 1.3
released !

*
Feline
a year ago
Today we switched to PHP 7.2 and activate Opcode caching.
Fast .. Very fast *
Feline
2 years ago
Today we upgrade our old SMF 2.0 Forum to PortaMx Forum *

* Calendar

Su
Mo
Tu
We
Th
Fr
Sa
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31